/*
 * ATtiny44 Hello Board
 * Read pushbutton switch and
 * send 0 or 1 to serial port,
 * depending on current state
 *   pb - PA7
 *   led - PB2
 *   
 * Steven Chew  
 * Date: 2021 Nov 28
 * Modified by Mitalee Parikh
 * 2021 Nov 29
 */
#include <SoftwareSerial.h>
#define rx 1
#define tx 0
#define pb 7

// declare variables
SoftwareSerial mySerial(rx,tx);
int pbState = 0;

void setup() {
  // put your setup code here, to run once:
  pinMode(pb, INPUT_PULLUP);  // configure pb pin as input
  mySerial.begin(9600);       // initialize serial port
}

void loop() {
  // put your main code here, to run repeatedly:
  if (digitalRead(pb) == LOW){  // pb pressed
    delay(10);    // switch debounce
    while (digitalRead(pb) == LOW); // wait for pb release
    if (pbState == 0){  // check current state
      pbState = 1;      // update to new state
    }
    else if (pbState == 1){ // check current state
      pbState = 0;    // update pb state
    }
    mySerial.print(pbState);  // output current pb state
  }
}
